package com.puship.test;

import static org.junit.Assert.*;

import java.net.UnknownHostException;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class DeleteDevices {

	@Test
	public void test() {

		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId,cr);
		
		try {
	
			HashMap<String, Object> map=  new HashMap<String, Object>();

			
			Set<String> devicetodelete = new HashSet<String>(); //you can delete many device with one request
			devicetodelete.add("jS0oE8PtHcVerde_05CD0C12-35A7-4123-8E9F-AA74FF418A18"); 
			devicetodelete.add("jS0oE8PtHcVerde_0FDFED66-3CD6-4208-BAA1-90968D1AFA01"); 
			devicetodelete.add("jS0oE8PtHcVerde_7a6ff0f023039299");
			
			map.put("Devices", devicetodelete);
			

			JSONObject al= ca.DeleteDevices(map);
			
			if (al!=null){
				System.out.println(al.get("Error"));
				System.out.println(al.get("Message"));
				System.out.println("deleted "+ al.get("StringParam1") + " devices");
			} else{
				System.out.println("Error during request");
			}
			
		}catch (UnknownHostException httpe) {
			httpe.printStackTrace();
			System.out.println("Error during URL request: probably no connection or wrong URL");
		}
		catch (Exception e) {
			e.printStackTrace();
			fail("Error during DeleteDevices");
		}
	}

}
