package com.puship.test;

import static org.junit.Assert.fail;

import java.net.UnknownHostException;
import java.util.Calendar;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Set;

import org.json.JSONObject;
import org.junit.Test;

import com.puship.CoreApi;
import com.puship.Credentials;

public class SendPushMessage {

	@Test
	public void test() {
		
		Credentials cr= new Credentials(ConfigClass.Username, ConfigClass.Password);
		CoreApi ca= new CoreApi(ConfigClass.AppId,cr);
		
		try {


			HashMap<String, Object> map=  new HashMap<String, Object>();
			map.put("Message", "Push message from java to all Windows with tag Libra test");
			//map.put("Badge", "1");
			map.put("Push", "True");
			//map.put("Sound", "Default");
			
			map.put("SendIOS", "False");
			map.put("SendAndroid", "False");
			map.put("SendBB", "False");
			map.put("SendWP", "True");	//push sent to WindowsPhone devices

			
			
		/*	map.put("P1Latitude", "40.42163694648697");
			map.put("P1Longitude", "10.299156188964844");
			map.put("P2Latitude", "47.45030563100575");
			map.put("P2Longitude", "15.368927001953125");*/
			
			
			Calendar c = Calendar.getInstance();
			c.set(2014, 5, 6, 0, 0,0); // June, 07, 2014
			
			//map.put("LastPositionDate", c.getTime());
			//map.put("LastPositionNumber", "5"); 
			
			
			Set<String> tags = new HashSet<String>();
			tags.add("Libra");
			
			map.put("Tags", tags);
			
			HashMap<String, Object> params=  new HashMap<String, Object>();
			params.put("Param1", "Param number 1");
			params.put("Param2", "ttps://www.facebook.com/OfficialPuship");
			params.put("Param3", "index.html");
			params.put("Param4", "122.45");
			params.put("Param5", "Special chars:  '%1234567890\"!$%&/()=?^@#-,'"); //max 5 params
			
			map.put("Params", params);
			
			JSONObject al= ca.SendPushMessage(map);
			
			if (al!=null){
				System.out.println("Error: " + al.get("Error"));
				System.out.println("Message: " + al.get("Message"));
				System.out.println("PushMessageId: " + al.get("StringParam1"));
			} else{
				System.out.println("Error during request");
			}
			
			 
		}catch (UnknownHostException httpe) {
			httpe.printStackTrace();
			System.out.println("Error during URL request: probably no connection or wrong URL");
		}
		catch (Exception e) {
			e.printStackTrace();
			fail("Error during SendPushMessageByDevice");
		}
	}

}
